# egg-secret

[![NPM version][npm-image]][npm-url]
[![build status][travis-image]][travis-url]
[![Test coverage][codecov-image]][codecov-url]
[![David deps][david-image]][david-url]
[![Known Vulnerabilities][snyk-image]][snyk-url]
[![npm download][download-image]][download-url]

[npm-image]: https://img.shields.io/npm/v/egg-secret.svg?style=flat-square
[npm-url]: https://npmjs.org/package/egg-secret
[travis-image]: https://img.shields.io/travis/eggjs/egg-secret.svg?style=flat-square
[travis-url]: https://travis-ci.org/eggjs/egg-secret
[codecov-image]: https://img.shields.io/codecov/c/github/eggjs/egg-secret.svg?style=flat-square
[codecov-url]: https://codecov.io/github/eggjs/egg-secret?branch=master
[david-image]: https://img.shields.io/david/eggjs/egg-secret.svg?style=flat-square
[david-url]: https://david-dm.org/eggjs/egg-secret
[snyk-image]: https://snyk.io/test/npm/egg-secret/badge.svg?style=flat-square
[snyk-url]: https://snyk.io/test/npm/egg-secret
[download-image]: https://img.shields.io/npm/dm/egg-secret.svg?style=flat-square
[download-url]: https://npmjs.org/package/egg-secret

<!--
Description here.
-->

## Install

```bash
$ npm i egg-secret --save
```

## Usage

```js
// {app_root}/config/plugin.js
exports.secret = {
  enable: true,
  package: 'egg-secret',
};
```

## Configuration

```js
// {app_root}/config/config.default.js
exports.secret = {
  url:'http://localhost'
};
```

see [config/config.default.js](config/config.default.js) for more detail.

## Example

```js
const secret = await ctx.getSecret();
```

## Questions & Suggestions

Please open an issue [here](https://github.com/eggjs/egg/issues).

## License

[MIT](LICENSE)
